# Uses of Class
org.apache.felix.bundleplugin.BundleInfo

Packages that use BundleInfo
Package
Description
org.apache.felix.bundleplugin

## Uses of BundleInfo in org.apache.felix.bundleplugin

Methods in org.apache.felix.bundleplugin that return BundleInfo
Modifier and Type
Method
Description
`protected BundleInfo`
BundleAllPlugin.`bundle(org.apache.maven.project.MavenProject project)`
Deprecated.
Bundle one project only without building its childre
`protected BundleInfo`
BundleAllPlugin.`bundleAll(org.apache.maven.project.MavenProject project, int maxDepth)`
Deprecated.
Bundle a project and its transitive dependencies up to some depth level
Methods in org.apache.felix.bundleplugin with parameters of type BundleInfo
Modifier and Type
Method
Description
`protected void`
BundleAllPlugin.`logDuplicatedPackages(BundleInfo bundleInfo)`
Deprecated.
Log what packages are exported in more than one bundle
`void`
BundleInfo.`merge(BundleInfo bundleInfo)`